Subscription Management
Turn custom delivery price on or off for a subscription contract
Sets the “Use Custom Delivery Price” option (allowDeliveryPriceOverride) for a subscription contract.
This is the same checkbox shown in the Delivery Information section of the subscription in the merchant portal.
- true: The contract keeps its current delivery price. Automatic shipping price syncs from your Shopify
shipping settings are skipped for this contract. Use this together with
PUT /api/external/v2/subscription-contracts-update-delivery-priceto keep a manually set price. - false: The delivery price syncs with your Shopify shipping settings again. When the option is turned off, the delivery price is recalculated from your Shopify shipping rates in the background (unless automatic shipping price calculation is turned off in your shop settings).
Sending the value the contract already has makes no changes.
Authentication is enforced via the X-API-Key header (the ‘api_key’ parameter is deprecated).
PUT
/
api
/
external
/
v2
/
subscription-contracts-update-delivery-price-override
Turn custom delivery price on or off for a subscription contract
curl --request PUT \
--url https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-overrideimport requests
url = "https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override';
const options = {method: 'PUT'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}Headers
Query Parameters
Contract ID
Use Custom Delivery Price. true keeps the contract's current delivery price and skips automatic shipping price syncs; false syncs the delivery price with your Shopify shipping settings again.
API Key (Deprecated - Use Header X-API-Key instead)
Response
Custom delivery price option updated. Returns the subscription contract details, including allowDeliveryPriceOverride.
Available options:
STORE_FRONT, IMPORTED, SPLIT_ATTEMPT_BILLING, SPLIT_CONTRACT Available options:
SENT, UNSENT, FAILED, EMAIL_SETTINGS_DISABLED, CUSTOMER_PAYMENT_EMPTY, CONTRACT_PAUSED_STATUS Available options:
SENT, UNSENT, FAILED, SMS_SETTINGS_DISABLED, CUSTOMER_PAYMENT_EMPTY, CONTRACT_PAUSED_STATUS, PHONE_NUMBER_EMPTY Available options:
REGULAR_SUBSCRIPTION, BUILD_A_BOX_CLASSIC, BUILD_A_BOX_SINGLE_PRODUCT, BUNDLING_CLASSIC, BUNDLING_MIX_AND_MATCH, SECTIONED_BUNDLE, VOLUME_DISCOUNT ⌘I
Turn custom delivery price on or off for a subscription contract
curl --request PUT \
--url https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-overrideimport requests
url = "https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override';
const options = {method: 'PUT'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-delivery-price-override")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}{
"shop": "<string>",
"activatedOn": "2023-11-07T05:31:56Z",
"allowDeliveryAddressOverride": true,
"allowDeliveryPriceOverride": true,
"autoCharge": true,
"billingCountryCode": "<string>",
"billingDateAfterTrial": "2023-11-07T05:31:56Z",
"billingPolicyInterval": "<string>",
"billingPolicyIntervalCount": 123,
"cancellationFeedback": "<string>",
"cancellationNote": "<string>",
"cancelledOn": "2023-11-07T05:31:56Z",
"contractAmount": 123,
"contractAmountUSD": 123,
"contractDetailsJSON": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customerEmail": "<string>",
"customerFirstName": "<string>",
"customerId": 123,
"customerLastName": "<string>",
"customerName": "<string>",
"customerTag": "<string>",
"deletedVariantIds": "<string>",
"deliveryCountryCode": "<string>",
"deliveryPolicyInterval": "<string>",
"deliveryPolicyIntervalCount": 123,
"disableFixEmptyQueue": true,
"emailBouncedOrFailed": true,
"endsAt": "2023-11-07T05:31:56Z",
"graphCustomerId": "<string>",
"graphOrderId": "<string>",
"graphSubscriptionContractId": "<string>",
"id": 123,
"importedId": "<string>",
"lastSuccessfulOrder": "<string>",
"lifetimeValue": 123,
"lifetimeValueUSD": 123,
"maxCycles": 123,
"minCycles": 123,
"nextBillingDate": "2023-11-07T05:31:56Z",
"nextPaidBillingDate": "2023-11-07T05:31:56Z",
"orderAmount": 123,
"orderAmountContractCurrency": 123,
"orderAmountShopCurrency": 123,
"orderAmountUSD": 123,
"orderId": 123,
"orderName": "<string>",
"orderNote": "<string>",
"orderNoteAttributes": "<string>",
"originType": "STORE_FRONT",
"originalContractId": 123,
"pauseDurationCycle": 123,
"pauseFeedback": "<string>",
"pauseReason": "<string>",
"pauseTillDate": "2023-11-07T05:31:56Z",
"pausedFromActive": true,
"pausedOn": "2023-11-07T05:31:56Z",
"pendingCancellationCycle": 123,
"pendingCancellationDate": "2023-11-07T05:31:56Z",
"phone": "<string>",
"queueUpdatedAt": "2023-11-07T05:31:56Z",
"skipPaymentCreateUnpaidOrder": true,
"startsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"stopUpComingOrderEmail": true,
"subscriptionContractId": 123,
"subscriptionCreatedEmailSent": true,
"subscriptionCreatedEmailSentStatus": "SENT",
"subscriptionCreatedSmsSentStatus": "SENT",
"subscriptionType": "REGULAR_SUBSCRIPTION",
"subscriptionTypeIdentifier": "<string>",
"totalSuccessfulOrders": 123,
"upcomingEmailBufferDays": 123,
"upcomingEmailTaskUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatingQueue": true
}